aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-09 05:54:52 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-09 05:54:52 +0000
commitc7eb0a7aabe10331f267f08e729a135180363c7b (patch)
tree0335cf977d236323d91df786263e85398a65eb1f
parentb346b38d0d7111dd028eb8c97c1f4b99742a1bf2 (diff)
downloadpaludis-c7eb0a7aabe10331f267f08e729a135180363c7b.tar.gz
paludis-c7eb0a7aabe10331f267f08e729a135180363c7b.tar.xz
Don't return error on success.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/build_functions.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
index cf2a545..1e384a8 100644
--- a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
@@ -74,7 +74,7 @@ expatch()
# Die if no patches were applied and no directories were supplied. Since
# directories get handled recursively by separate instances of expatch we cannot
# reliably count applied patches when directories were supplied.
- [[ ${appliedpatches} -le 0 && -z ${recognise} ]] && die "No patches applied."
+ [[ ${appliedpatches} -gt 0 || -n ${recognise} ]] || die "No patches applied."
}
econf()